User account creation filtered due to spam.

Bug 21624 - java source files cannot be compiled to bcabi [indirect dispatch]
Summary: java source files cannot be compiled to bcabi [indirect dispatch]
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.1.0
: P2 normal
Target Milestone: 4.3.0
Assignee: Andrew Haley
URL:
Keywords:
: 18945 20088 (view as bug list)
Depends on: 28067
Blocks: 12725
  Show dependency treegraph
 
Reported: 2005-05-17 14:42 UTC by Paolo Bonzini
Modified: 2007-01-09 20:47 UTC (History)
4 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Bonzini 2005-05-17 14:42:29 UTC
The simplest crash that I found is this:

public class AAA
{
  static final Object cm = new Integer (2);
}

This is blocking 20155, which could easily be fixed now that libjava is built a
directory at a time.
Comment 1 Andrew Haley 2005-05-17 14:49:46 UTC
*** Bug 18945 has been marked as a duplicate of this bug. ***
Comment 2 Andrew Haley 2005-05-17 14:53:33 UTC
*** Bug 20088 has been marked as a duplicate of this bug. ***
Comment 3 Andrew Haley 2006-08-11 11:14:32 UTC
This one wiil get fixed with the merge of the ecj branch.
Comment 4 Tom Tromey 2007-01-09 20:47:36 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.